# Uses of Interface
java.lang.System.Logger

Packages that use System.Logger
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of System.Logger in java.lang

Methods in java.lang that return System.Logger
Modifier and Type
Method
Description
`System.Logger`
System.LoggerFinder.`getLocalizedLogger(String name, ResourceBundle bundle, Module module)`
Returns a localizable instance of `Logger` for the given `module`.
`static System.Logger`
System.`getLogger(String name)`
Returns an instance of `Logger` for the caller's use.
`static System.Logger`
System.`getLogger(String name, ResourceBundle bundle)`
Returns a localizable instance of `Logger` for the caller's use.
`abstract System.Logger`
System.LoggerFinder.`getLogger(String name, Module module)`
Returns an instance of `Logger` for the given `module`.